[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.EnvironmentVariable

Environment variable access

## Declaration

Source position: custapp.pp line 98

`public property TCustomApplication.EnvironmentVariable[envName: string] : string read GetEnvironmentVar;`

## Description

EnvironmentVariable gives access to the environment variables of the application: It returns the value of the environment variable EnvName, or an empty string if no such value is available.

To use this property, the name of the environment variable must be known. To get a list of available names (and values), GetEnvironmentList can be used.

## See also

GetEnvironmentList |  | Return a list of environment variables.
TCustomApplication.Params |  | Command-line parameters